## Script (Python) "mxmCalendarTypes_initialAttendees"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Initial attendees
##

# A list if initial attendees for a calendar type
# Makes it possible to automatically add eg. members of a group to an event

# constants
ID_KEY = 'X-MXM-MEMBER-ID'
EMAIL_KEY = 'X-MXM-EMAIL'

attendees = []

# Add Owner as attendee per default
memberId = context.getAuthenticatedsId()
if memberId:
    attendee = {}
    attendee[ID_KEY] = memberId
    attendee[EMAIL_KEY] = ''
    attendee['CN'] = ''
    attendee['ROLE'] = 'CHAIR'
    attendee['PARTSTAT'] = 'ACCEPTED'
    attendees.append(attendee)

return attendees
